org.jgroups.util

## Interface ThreadFactory

All Superinterfaces:
  java.util.concurrent.ThreadFactory

    public interface ThreadFactory
    extends java.util.concurrent.ThreadFactory

### Method Summary

Methods
`java.lang.Thread` `newThread(java.lang.Runnable r, java.lang.String name)`
`java.lang.Thread` `newThread(java.lang.ThreadGroup group, java.lang.Runnable r, java.lang.String name)`
`void` `renameThread(java.lang.String base_name, java.lang.Thread thread)`
`void` `setAddress(java.lang.String address)`
`void` `setClusterName(java.lang.String channelName)`
`void` `setIncludeClusterName(boolean includeClusterName)`
`void` `setPattern(java.lang.String pattern)`

### Methods inherited from interface java.util.concurrent.ThreadFactory

`newThread`

### Method Detail

#### newThread

    java.lang.Thread newThread(java.lang.Runnable r,
                             java.lang.String name)

#### newThread

    java.lang.Thread newThread(java.lang.ThreadGroup group,
                             java.lang.Runnable r,
                             java.lang.String name)

#### setPattern

    void setPattern(java.lang.String pattern)

#### setIncludeClusterName

    void setIncludeClusterName(boolean includeClusterName)

#### setClusterName

    void setClusterName(java.lang.String channelName)

#### setAddress

    void setAddress(java.lang.String address)

#### renameThread

    void renameThread(java.lang.String base_name,
                    java.lang.Thread thread)